Subject: Re: [GSOC PATCH v2 1/2] repository: move 'repository_format_precious_objects' to repo scope

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 2 Jul 2025 04:23:47 +0200

On Tue, Jul 01, 2025 at 11:54:02PM +0530, Ayush Chandekar wrote:
> On Tue, Jul 1, 2025 at 6:31 PM Patrick Steinhardt <[email-masked]> wrote:
> > On Mon, Jun 30, 2025 at 10:11:04PM +0530, Ayush Chandekar wrote:
> > > diff --git a/repository.c b/repository.c
> > > index 9b3d6665fc..62709d1c91 100644
> > > --- a/repository.c
> > > +++ b/repository.c
> > > @@ -284,6 +284,7 @@ int repo_init(struct repository *repo,
> > >       repo_set_ref_storage_format(repo, format.ref_storage_format);
> > >       repo->repository_format_worktree_config = format.worktree_config;
> > >       repo->repository_format_relative_worktrees = format.relative_worktrees;
> > > +     repo->repository_format_precious_objects = format.precious_objects;
> > >
> > >       /* take ownership of format.partial_clone */
> > >       repo->repository_format_partial_clone = format.partial_clone;
> >
> > The list of variables that we copy from `format` grows longer and
> > longer. I wonder whether it would make sense to embed a `struct
> > repository_format` in the repository and then copy over the whole
> > structure?
> >
> > Patrick
> 
> Yeah, I suggested this in a discussion with my mentors and was
> expecting comments regarding the same. I can create a new patch for
> this change if there's consensus on this.

You could also do it as a follow-up change after this series has landed.
That would be perfectly fine with me.

Patrick